import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiFlexContainerCommandHandler, UiFlexContainerConfig } from "../generated/UiFlexContainerConfig";
import { UiComponent } from "./UiComponent";
export declare class UiFlexContainer extends AbstractUiComponent<UiFlexContainerConfig> implements UiFlexContainerCommandHandler {
    private $main;
    private components;
    constructor(config: UiFlexContainerConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    addComponent(component: UiComponent): void;
    removeComponent(component: UiComponent): void;
}
